prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run this script using a SQL client connected to the database as
-- the owner (parsing schema) of the application or as a database user with the
-- APEX_ADMINISTRATOR_ROLE role.
--
-- This export file has been automatically generated. Modifying this file is not
-- supported by Oracle and can lead to unexpected application and/or instance
-- behavior now or in the future.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2023.04.28'
,p_release=>'23.1.5'
,p_default_workspace_id=>7337444115725827
,p_default_application_id=>115
,p_default_id_offset=>0
,p_default_owner=>'WKSP_JUANANTONIO'
);
end;
/
 
prompt APPLICATION 115 - PLUGIN ARENA
--
-- Application Export:
--   Application:     115
--   Name:            PLUGIN ARENA
--   Date and Time:   13:38 Friday December 1, 2023
--   Exported By:     JUANANTONIO
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 30015100127165319
--   Manifest End
--   Version:         23.1.5
--   Instance ID:     7330142950308600
--

begin
  -- replace components
  wwv_flow_imp.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/dynamic_action/dates_validator
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(30015100127165319)
,p_plugin_type=>'DYNAMIC ACTION'
,p_name=>'DATES_ACTION_LOAD_VALIDATOR'
,p_display_name=>'Dates validator v0.8'
,p_category=>'INIT'
,p_javascript_file_urls=>'#PLUGIN_FILES#dates_validator/ns.plugin.js'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'FUNCTION render_plugin(p_dynamic_action IN apex_plugin.t_dynamic_action,',
'                               p_plugin         IN apex_plugin.t_plugin)',
'  RETURN apex_plugin.t_dynamic_action_render_result IS',
'    --custom plugin attributes',
'    l_result                                apex_plugin.t_dynamic_action_render_result;',
'    --',
'    attr_date_from                          p_dynamic_action.attribute_01%TYPE := p_dynamic_action.attribute_01;',
'    attr_date_to                            p_dynamic_action.attribute_02%TYPE := p_dynamic_action.attribute_02;',
'    attr_must_select_date_from              p_dynamic_action.attribute_05%TYPE := p_dynamic_action.attribute_05;',
'    attr_must_select_date_to                p_dynamic_action.attribute_04%TYPE := p_dynamic_action.attribute_04;',
'    attr_greather_than_date                 p_dynamic_action.attribute_06%TYPE := p_dynamic_action.attribute_06;',
'    attr_earlier_than_date                  p_dynamic_action.attribute_07%TYPE := p_dynamic_action.attribute_07;',
'    --',
'BEGIN',
'    --debug',
'    if apex_application.g_debug then',
'        apex_plugin_util.debug_dynamic_action(p_plugin => p_plugin, p_dynamic_action => p_dynamic_action);',
'    end if;',
'    --',
'    l_result.javascript_function := ''datesValidator.initialize("''||attr_date_from||''", "''||attr_date_to||''", "''||attr_must_select_date_from||''", "''||attr_must_select_date_to||''", "''||attr_greather_than_date||''", "''||attr_earlier_than_date||''")'';',
'    l_result.ajax_identifier     := apex_plugin.get_ajax_identifier;',
'    --',
'    return l_result;',
'    --',
'end render_plugin;'))
,p_default_escape_mode=>'HTML'
,p_api_version=>2
,p_render_function=>'render_plugin'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'0.8'
,p_about_url=>'https://www.novoshore.com/'
,p_files_version=>39
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(30051106085761396)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_title=>'ERROR MESSAGES'
,p_display_sequence=>2
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(30015518279191216)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_title=>'DATES ITEMS'
,p_display_sequence=>1
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(30015972289195362)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Date from'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(30015518279191216)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(30016274315197064)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Date to'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(30015518279191216)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(30052696400772315)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Must select end date'
,p_attribute_type=>'PLSQL EXPRESSION'
,p_is_required=>true
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(30051106085761396)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(30054915324776583)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>30
,p_prompt=>'Must select start date'
,p_attribute_type=>'PLSQL EXPRESSION'
,p_is_required=>true
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(30051106085761396)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(30057289396782291)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Start date cannot be grather than end date'
,p_attribute_type=>'PLSQL EXPRESSION'
,p_is_required=>true
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(30051106085761396)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(30058334597784863)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'End date cannot be earlier than start date'
,p_attribute_type=>'PLSQL EXPRESSION'
,p_is_required=>true
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(30051106085761396)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2F2F0D0A6C65742075736564456E6444617465496E70757473203D205B5D3B0D0A0D0A2F2F204572726F72206D657373616765730D0A6C6574204D45535341474553203D207B0D0A202020204E535F4D5553545F53454C4543545F444154455F46524F4D';
wwv_flow_imp.g_varchar2_table(2) := '3A2027272C0D0A202020204E535F4D5553545F53454C4543545F444154455F544F3A2027272C0D0A202020204E535F47524541544845525F5448414E5F444154453A2027272C0D0A202020204E535F4541524C4945525F5448414E5F444154453A202727';
wwv_flow_imp.g_varchar2_table(3) := '0D0A7D3B0D0A0D0A2F2F204F626A65637420636F6E7461696E696E6720646174652076616C69646174696F6E206C6F6769630D0A76617220646174657356616C696461746F72203D207B0D0A202020202F2F20496E697469616C697A657320746865206F';
wwv_flow_imp.g_varchar2_table(4) := '626A6563742C2073657474696E67206368616E6765206576656E742068616E646C657273206F6E206461746520696E707574730D0A20202020696E697469616C697A653A2066756E6374696F6E2028737461727444617465496E70757449642C20656E64';
wwv_flow_imp.g_varchar2_table(5) := '44617465496E70757449642C20617474725F6D7573745F73656C6563745F646174655F66726F6D2C20617474725F6D7573745F73656C6563745F646174655F746F2C20617474725F67726561746865725F7468616E5F646174652C20617474725F656172';
wwv_flow_imp.g_varchar2_table(6) := '6C6965725F7468616E5F6461746529207B0D0A20202020202020202275736520737472696374223B0D0A0D0A20202020202020204D455353414745532E4E535F4D5553545F53454C4543545F444154455F46524F4D203D20617474725F6D7573745F7365';
wwv_flow_imp.g_varchar2_table(7) := '6C6563745F646174655F66726F6D3B0D0A20202020202020204D455353414745532E4E535F4D5553545F53454C4543545F444154455F544F203D20617474725F6D7573745F73656C6563745F646174655F746F3B0D0A20202020202020204D4553534147';
wwv_flow_imp.g_varchar2_table(8) := '45532E4E535F47524541544845525F5448414E5F44415445203D20617474725F67726561746865725F7468616E5F646174653B0D0A20202020202020204D455353414745532E4E535F4541524C4945525F5448414E5F44415445203D20617474725F6561';
wwv_flow_imp.g_varchar2_table(9) := '726C6965725F7468616E5F646174653B0D0A0D0A202020202020202024286023247B737461727444617465496E70757449647D60292E6F6E28226368616E6765222C2066756E6374696F6E20286529207B0D0A20202020202020202020202076616C6964';
wwv_flow_imp.g_varchar2_table(10) := '617465446174657328746869732C20652C20737461727444617465496E70757449642C20656E6444617465496E7075744964293B0D0A20202020202020207D293B0D0A0D0A202020202020202024286023247B656E6444617465496E70757449647D6029';
wwv_flow_imp.g_varchar2_table(11) := '2E6F6E28226368616E6765222C2066756E6374696F6E20286529207B0D0A20202020202020202020202076616C6964617465446174657328746869732C20652C20737461727444617465496E70757449642C20656E6444617465496E7075744964293B0D';
wwv_flow_imp.g_varchar2_table(12) := '0A20202020202020207D293B0D0A202020207D0D0A7D3B0D0A0D0A2F2F2046756E6374696F6E20746F2076616C69646174652064617465730D0A66756E6374696F6E2076616C69646174654461746573286974656D2C206576656E742C20737461727444';
wwv_flow_imp.g_varchar2_table(13) := '617465496E7075742C20656E6444617465496E70757429207B0D0A202020202F2F2046756E6374696F6E20746F206F627461696E2074686520646174652066726F6D206120676976656E20696E70757420656C656D656E740D0A20202020636F6E737420';
wwv_flow_imp.g_varchar2_table(14) := '67657444617465203D2028656C656D656E74496429203D3E207B0D0A2020202020202020636F6E7374206461746556616C7565203D2024286023247B656C656D656E7449647D60292E76616C28293B0D0A202020202020202072657475726E2064617465';
wwv_flow_imp.g_varchar2_table(15) := '56616C7565203F206E65772044617465286461746556616C756529203A206E756C6C3B0D0A202020207D3B0D0A0D0A202020202F2F2046756E6374696F6E20746F20636C656172206572726F72206D657373616765730D0A20202020636F6E737420636C';
wwv_flow_imp.g_varchar2_table(16) := '6561724572726F72203D202864617465496E70757429203D3E207B0D0A202020202020202024286023247B64617465496E7075747D5F6572726F725F706C616365686F6C64657260292E616464436C6173732827752D76697369626C6527292E68746D6C';
wwv_flow_imp.g_varchar2_table(17) := '282727293B0D0A202020207D3B0D0A0D0A202020202F2F2046756E6374696F6E20746F20616464206572726F72206D657373616765730D0A20202020636F6E7374206164644572726F72203D202864617465496E7075742C206572726F724D6573736167';
wwv_flow_imp.g_varchar2_table(18) := '6529203D3E207B0D0A2020202020202020636F6E7374206572726F7254656D706C617465203D20603C7370616E20636C6173733D22742D466F726D2D6572726F72223E3C6469762069643D22247B64617465496E7075747D5F6572726F72223E247B6572';
wwv_flow_imp.g_varchar2_table(19) := '726F724D6573736167657D3C2F6469763E3C2F7370616E3E603B0D0A202020202020202024286023247B64617465496E7075747D5F6572726F725F706C616365686F6C64657260292E72656D6F7665436C6173732827752D76697369626C6527292E6874';
wwv_flow_imp.g_varchar2_table(20) := '6D6C286572726F7254656D706C617465293B0D0A202020207D3B0D0A0D0A202020202F2F204765742064617465732066726F6D20696E70757420656C656D656E74730D0A20202020636F6E737420737461727444617465203D2067657444617465287374';
wwv_flow_imp.g_varchar2_table(21) := '61727444617465496E707574293B0D0A20202020636F6E737420656E6444617465203D206765744461746528656E6444617465496E707574293B0D0A0D0A202020202F2F2056616C6964617465206966206461746573206172652076616C69640D0A2020';
wwv_flow_imp.g_varchar2_table(22) := '20206966202821737461727444617465207C7C2021656E644461746529207B0D0A2020202020202020636C6561724572726F7228737461727444617465496E707574293B0D0A2020202020202020636C6561724572726F7228656E6444617465496E7075';
wwv_flow_imp.g_varchar2_table(23) := '74293B0D0A0D0A20202020202020202F2F20436865636B20696620646174657320617265207573656420627574206E6F742073656C65637465640D0A202020202020202069662028217374617274446174652026262021656E6444617465202626207573';
wwv_flow_imp.g_varchar2_table(24) := '6564456E6444617465496E707574732E696E636C7564657328656E6444617465496E707574292026262075736564456E6444617465496E707574732E696E636C7564657328737461727444617465496E7075742929207B0D0A2020202020202020202020';
wwv_flow_imp.g_varchar2_table(25) := '20636C6561724572726F7228737461727444617465496E707574293B0D0A202020202020202020202020636C6561724572726F7228656E6444617465496E707574293B0D0A20202020202020207D20656C7365207B0D0A2020202020202020202020202F';
wwv_flow_imp.g_varchar2_table(26) := '2F2048616E646C65206572726F7273207768656E20612064617465206973206D697373696E670D0A202020202020202020202020696620282173746172744461746529207B0D0A202020202020202020202020202020206164644572726F722873746172';
wwv_flow_imp.g_varchar2_table(27) := '7444617465496E7075742C204D455353414745532E4E535F4D5553545F53454C4543545F444154455F46524F4D293B0D0A2020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202075736564456E6444617465496E';
wwv_flow_imp.g_varchar2_table(28) := '707574732E7075736828737461727444617465496E707574293B0D0A2020202020202020202020207D0D0A0D0A2020202020202020202020206966202821656E644461746529207B0D0A202020202020202020202020202020202F2F20436F7079207468';
wwv_flow_imp.g_varchar2_table(29) := '65207374617274206461746520696620617661696C61626C6520616E64206E6F7420757365642070726576696F75736C790D0A2020202020202020202020202020202069662028737461727444617465202626202175736564456E6444617465496E7075';
wwv_flow_imp.g_varchar2_table(30) := '74732E696E636C7564657328656E6444617465496E7075742929207B0D0A202020202020202020202020202020202020202024286023247B656E6444617465496E7075747D60292E76616C2824286023247B737461727444617465496E7075747D60292E';
wwv_flow_imp.g_varchar2_table(31) := '76616C2829293B0D0A202020202020202020202020202020202020202075736564456E6444617465496E707574732E7075736828656E6444617465496E707574293B0D0A202020202020202020202020202020207D20656C7365207B0D0A202020202020';
wwv_flow_imp.g_varchar2_table(32) := '20202020202020202020202020206164644572726F7228656E6444617465496E7075742C204D455353414745532E4E535F4D5553545F53454C4543545F444154455F544F293B0D0A202020202020202020202020202020207D0D0A202020202020202020';
wwv_flow_imp.g_varchar2_table(33) := '2020207D0D0A20202020202020207D0D0A202020202020202072657475726E3B0D0A202020207D0D0A0D0A202020202F2F2056616C69646174652069662074686520656E642064617465206973206E6F74206561726C696572207468616E207468652073';
wwv_flow_imp.g_varchar2_table(34) := '7461727420646174650D0A2020202069662028656E6444617465203C2073746172744461746529207B0D0A2020202020202020636C6561724572726F7228737461727444617465496E707574293B0D0A2020202020202020636C6561724572726F722865';
wwv_flow_imp.g_varchar2_table(35) := '6E6444617465496E707574293B0D0A2020202020202020696620286974656D2E6964203D3D3D20737461727444617465496E70757429207B0D0A2020202020202020202020206164644572726F7228737461727444617465496E7075742C204D45535341';
wwv_flow_imp.g_varchar2_table(36) := '4745532E4E535F47524541544845525F5448414E5F44415445293B0D0A20202020202020207D0D0A2020202020202020696620286974656D2E6964203D3D3D20656E6444617465496E70757429207B0D0A2020202020202020202020206164644572726F';
wwv_flow_imp.g_varchar2_table(37) := '7228656E6444617465496E7075742C204D455353414745532E4E535F4541524C4945525F5448414E5F44415445293B0D0A20202020202020207D0D0A202020202020202072657475726E3B0D0A202020207D0D0A0D0A202020202F2F20436C6561722065';
wwv_flow_imp.g_varchar2_table(38) := '72726F72732069662065766572797468696E6720697320696E206F726465720D0A20202020636C6561724572726F7228737461727444617465496E707574293B0D0A20202020636C6561724572726F7228656E6444617465496E707574293B0D0A7D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(30017213648244694)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_file_name=>'dates_validator/ns.plugin.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '6C65742075736564456E6444617465496E707574733D5B5D2C4D455353414745533D7B4E535F4D5553545F53454C4543545F444154455F46524F4D3A22222C4E535F4D5553545F53454C4543545F444154455F544F3A22222C4E535F4752454154484552';
wwv_flow_imp.g_varchar2_table(2) := '5F5448414E5F444154453A22222C4E535F4541524C4945525F5448414E5F444154453A22227D3B76617220646174657356616C696461746F723D7B696E697469616C697A653A66756E6374696F6E28452C532C5F2C652C742C73297B2275736520737472';
wwv_flow_imp.g_varchar2_table(3) := '696374223B4D455353414745532E4E535F4D5553545F53454C4543545F444154455F46524F4D3D5F2C4D455353414745532E4E535F4D5553545F53454C4543545F444154455F544F3D652C4D455353414745532E4E535F47524541544845525F5448414E';
wwv_flow_imp.g_varchar2_table(4) := '5F444154453D742C4D455353414745532E4E535F4541524C4945525F5448414E5F444154453D732C24286023247B457D60292E6F6E28226368616E6765222C2866756E6374696F6E285F297B76616C6964617465446174657328746869732C5F2C452C53';
wwv_flow_imp.g_varchar2_table(5) := '297D29292C24286023247B537D60292E6F6E28226368616E6765222C2866756E6374696F6E285F297B76616C6964617465446174657328746869732C5F2C452C53297D29297D7D3B66756E6374696F6E2076616C6964617465446174657328452C532C5F';
wwv_flow_imp.g_varchar2_table(6) := '2C65297B636F6E737420743D453D3E7B636F6E737420533D24286023247B457D60292E76616C28293B72657475726E20533F6E657720446174652853293A6E756C6C7D2C733D453D3E7B24286023247B457D5F6572726F725F706C616365686F6C646572';
wwv_flow_imp.g_varchar2_table(7) := '60292E616464436C6173732822752D76697369626C6522292E68746D6C282222297D2C6E3D28452C53293D3E7B636F6E7374205F3D603C7370616E20636C6173733D22742D466F726D2D6572726F72223E3C6469762069643D22247B457D5F6572726F72';
wwv_flow_imp.g_varchar2_table(8) := '223E247B537D3C2F6469763E3C2F7370616E3E603B24286023247B457D5F6572726F725F706C616365686F6C64657260292E72656D6F7665436C6173732822752D76697369626C6522292E68746D6C285F297D2C543D74285F292C613D742865293B7265';
wwv_flow_imp.g_varchar2_table(9) := '7475726E20542626613F613C543F2873285F292C732865292C452E69643D3D3D5F26266E285F2C4D455353414745532E4E535F47524541544845525F5448414E5F44415445292C766F696428452E69643D3D3D6526266E28652C4D455353414745532E4E';
wwv_flow_imp.g_varchar2_table(10) := '535F4541524C4945525F5448414E5F444154452929293A2873285F292C766F69642073286529293A2873285F292C732865292C766F696428215426262161262675736564456E6444617465496E707574732E696E636C7564657328652926267573656445';
wwv_flow_imp.g_varchar2_table(11) := '6E6444617465496E707574732E696E636C75646573285F293F2873285F292C73286529293A28543F75736564456E6444617465496E707574732E70757368285F293A6E285F2C4D455353414745532E4E535F4D5553545F53454C4543545F444154455F46';
wwv_flow_imp.g_varchar2_table(12) := '524F4D292C617C7C285426262175736564456E6444617465496E707574732E696E636C756465732865293F2824286023247B657D60292E76616C2824286023247B5F7D60292E76616C2829292C75736564456E6444617465496E707574732E7075736828';
wwv_flow_imp.g_varchar2_table(13) := '6529293A6E28652C4D455353414745532E4E535F4D5553545F53454C4543545F444154455F544F29292929297D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(30062939486872212)
,p_plugin_id=>wwv_flow_imp.id(30015100127165319)
,p_file_name=>'dates_validator/ns.plugin.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
